Bug 30232 - kernel hangs at boot on Cyrix 6x86MX
Summary: kernel hangs at boot on Cyrix 6x86MX
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-01 23:08 UTC by Ben Levenson
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 17:40:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-03-01 23:08:50 UTC
build: qa0301.0
boot message:

Linux version 2.4.2-0.1.16 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.1 2.96-76)) #1 Wed Feb 28 16:36:39 EST 2001
BIOS-provided physical RAM map:
 BIOS-e820: 00000000000a0000 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 0000000003f00000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
On node 0 totalpages: 16384
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 12288 pages.
zone Normal has max 96 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: BOOT_IMAGE=linux ro root=306
BOOT_FILE=/boot/vmlinuz-2.4.2-0.1.16 console=ttyS1,19200 console=tty0
Initializing CPU#0
Detected 150.067 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 299.00 BogoMIPS
Memory: 56468k/65536k available (1376k kernel code, 8684k reserved, 94k
data,
236k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode...
Ok.
Dentry-cache hash table entries: 8192 (order: 4, 65536 bytes)
Buffer-cache hash table entries: 4096 (order: 2, 16384 bytes)
Page-cache hash table entries: 16384 (order: 5, 131072 bytes)
Inode-cache hash table entries: 4096 (order: 3, 32768 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 00808135 00000000 00000000, vendor = 1
CPU: After vendor init, caps: 00808135 00000000 00000000 00000004
CPU: After generic, caps: 00808135 00000000 00000000 00000004
CPU: Common caps: 00808135 00000000 00000000 00000004
CPU: Cyrix 6x86MX 2.5x Core/Bus Clock stepping 03
Kernel panic: Kernel compiled for PPro+, requires PGE feature!
In idle task - not syncing

Comment 1 Michael K. Johnson 2001-03-01 23:47:08 UTC
We think this is fixed in our current tree, please try
2.4.2-0.1.19 or later when we build it.

Comment 2 Ben Levenson 2001-03-05 21:18:04 UTC
The 2.4.2-0.1.19 kernel gives the same error.


Comment 3 Bill Nottingham 2001-03-05 22:45:31 UTC
Did you install the i686 kernel? Does this machine report itself
(via uname) as an i686?

Comment 4 Arjan van de Ven 2001-03-06 10:20:30 UTC
Cyrix 6x86MX needs the i586 kernel.
We CANNOT make the i686 kernel work on it.


Comment 5 Michael K. Johnson 2001-03-07 17:40:36 UTC
Reported fixed in 2.4.2-0.1.22

Comment 6 Ben Levenson 2001-03-07 19:06:30 UTC
fix verified w/ qa0307.0  2.4.2-0.1.22 
uname reports i686 unknown


Note You need to log in before you can comment on or make changes to this bug.